IntegrationsSiigo

Get one receipt or payment by ID and kind.

POST
/integrations/connections/{connection_id}/providers/siigo/payments/get

Get one receipt or payment by ID and kind.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/siigo/payments/get" \  -H "Content-Type: application/json" \  -d '{    "id": "example"  }'
{  "id": "example",  "kind": "income",  "number": {    "prefix": "adl_live_a1",    "number": "example",    "full": "example"  },  "date": "example",  "contact": {    "id": "example",    "name": "Customer documents",    "identification": "example"  },  "amount": 0,  "currency": "example",  "method": "GET",  "bank_account": {    "id": "example",    "name": "Customer documents"  },  "status": "draft",  "applied_documents": [],  "cost_center": {    "id": "example",    "name": "Customer documents"  },  "observations": "example",  "created_at": "example"}